### org.jfree.layouting.renderer.model.table

# Class TableRowInfoStructure

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.TableRowInfoStructure`

Implemented Interfaces:
  Cloneable

`public class TableRowInfoStructure`
`extends java.lang.Object`
`implements Cloneable`

Creation-Date: 10.09.2006, 20:01:18

Author:
  Thomas Morgner

  ## Constructor Summary

  `TableRowInfoStructure()`

  ## Method Summary

  `void`

  `addCell(TableCell cell)`

  `Object`

  `clone()`

  `TableCell`

  `getCellAt(int col)`

  `int`

  `getCellCount()`

  `int`

  `getRowNumber()`

  `boolean`

  `isValidationDone()`

  `void`

  `replaceCell(int pos, RemovedCell cell)`

  `void`

  `setRowNumber(int rowNumber)`

  `void`

  `setValidationDone(boolean validationDone)`

## Constructor Details

### TableRowInfoStructure

    public TableRowInfoStructure()

## Method Details

### addCell

    public void addCell(TableCell cell)

### clone

    public Object clone()
                throws CloneNotSupportedException

### getCellAt

    public TableCell getCellAt(int col)

### getCellCount

    public int getCellCount()

### getRowNumber

    public int getRowNumber()

### isValidationDone

    public boolean isValidationDone()

### replaceCell

    public void replaceCell(int pos,
                            RemovedCell cell)

### setRowNumber

    public void setRowNumber(int rowNumber)

### setValidationDone

    public void setValidationDone(boolean validationDone)